# class ChanAssist | Object that assists a channel More...
Full name | `TelEngine::ChanAssist`
Definition | `#include <libs/ypbx/yatepbx.h>`
Inherits | TelEngine::RefObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~ChanAssist ()
- virtual const String& toString () const
- virtual void msgStartup (Message& msg)
- virtual void msgHangup (Message& msg)
- virtual void msgExecute (Message& msg)
- virtual bool msgDisconnect (Message& msg, const String& reason)
- inline ChanAssistList* list () const
- inline const String& id () const
- inline RefPointer locate () const

#### Public Static Methods

- static RefPointer locate (const String& id)

#### Protected Methods

- inline ChanAssist (ChanAssistList* list, const String& id)

## Detailed Description

Object that assists a channel

~ChanAssist () | ### ~ChanAssist

[virtual]

Destructor

const String& toString () | ### toString

[const virtual]

Get the String value of this object

Returns: ID of the assisted channel

Reimplemented from GenObject.

void msgStartup (Message& msg) | ### msgStartup

[virtual]

Process the chan.startup message

Parameters:

msg | First channel message, may be received after call.execute

void msgHangup (Message& msg) | ### msgHangup

[virtual]

Process the chan.hangup message

Parameters:

msg | Last channel message

void msgExecute (Message& msg) | ### msgExecute

[virtual]

Process the call.execute message, copy any parameters needed later

Parameters:

msg | Call execute message, may be received before chan.startup

bool msgDisconnect (Message& msg, const String& reason) | ### msgDisconnect

[virtual]

Process the channel disconnect message, may connect to something else

Parameters:

msg | The chan.disconnected message
reason | The disconnection reason

inline ChanAssistList* list () | ### list

[const]

Retrieve the list that owns this object

Returns: Pointer to the owner list

inline const String& id () | ### id

[const]

Get the name of the assisted channel

Returns: Identifier of the channel

RefPointer locate (const String& id) | ### locate

[static]

Retrieve a smart pointer to an arbitrary channel

Parameters:

id | Identifier of the channel to locate

Returns: Smart pointer to the channel or NULL if not found or dead

inline RefPointer locate () | ### locate

[const]

Retrieve a smart pointer to the assisted channel

Returns: Smart pointer to the channel or NULL if not found or dead

inline ChanAssist (ChanAssistList* list, const String& id) | ### ChanAssist

[protected]

Constructor of base class

Parameters:

list | ChanAssistList that owns this object
id | Identifier of the assisted channel

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.